=head1 NAME

Gtk2::PrintContext

=cut

=head1 HIERARCHY

  Glib::Object
  +----Gtk2::PrintContext



=cut


=head1 METHODS

=head2 context = $context-E<gt>B<get_cairo_context> 

=head2 $context-E<gt>B<set_cairo_context> ($cr, $dpi_x, $dpi_y)

=over

=item * $cr (Cairo::Context) 

=item * $dpi_x (double) 

=item * $dpi_y (double) 

=back

=head2 context = $context-E<gt>B<create_pango_context> 

=head2 layout = $context-E<gt>B<create_pango_layout> 

=head2 double = $context-E<gt>B<get_dpi_x> 

=head2 double = $context-E<gt>B<get_dpi_y> 

=head2 (top, bottom, left, right) = $context->B<get_hard_margins>


Returns an empty list if the hard margins could not be retrieved.


Since: gtk+ 2.20

=head2 double = $context-E<gt>B<get_height> 

=head2 pagesetup = $context-E<gt>B<get_page_setup> 

=head2 fontmap = $context-E<gt>B<get_pango_fontmap> 

=head2 double = $context-E<gt>B<get_width> 



=cut


=head1 SEE ALSO

L<Gtk2>, L<Glib::Object>


=cut


=head1 COPYRIGHT

Copyright (C) 2003-2011 by the gtk2-perl team.

This software is licensed under the LGPL.  See L<Gtk2> for a full notice.



=cut

